;Behaves $25

;This block, when touched, activates the timer. You change the settings below on what
;would you want the timer to behave.


;Make sure that the freeram addresses match:

!Freeram_Frame		= $60	;>this will be converted x/60 to y/100.
!Freeram_Second		= $61
!Freeram_Minute		= $62
!Freeram_TmrMode	= $63

!Start_Minute	= 01	;\Both of these are in decimal.
!Start_Second	= 30	;/
!Start_Mode	= $03	;>$01 = increment, $02 = timer ended, $03+ = decrement.
;^see table index pointer in generator code for the event you want.



db $42
JMP MarioBelow : JMP MarioAbove : JMP MarioSide : JMP SpriteV : JMP SpriteH
JMP MarioCape : JMP MarioFireBall : JMP TopCorner : JMP HeadInside : JMP BodyInside

MarioAbove:
MarioBelow:
MarioSide:
TopCorner:
HeadInside:
BodyInside:
	LDA !Freeram_TmrMode	;\If timer already set, return.
	BNE Ret			;/
	LDA #!Start_Mode	;\Set it up.
	STA !Freeram_TmrMode	;/

	if !Start_Mode >= $02
		LDA.b #!Start_Second	;\set countdown mode
		STA !Freeram_Second	;|
		LDA.b #!Start_Minute	;|
		STA !Freeram_Minute	;/
	endif
	LDA #$15	;\SFX.
	STA $1DFC	;/
Ret:
SpriteV:
SpriteH:
MarioCape:
MarioFireBall:
	RTL